
class jsonController {
    constructor() {
        this.random = this.random.bind(this);
        this.home = this.home.bind(this);
    }

    getCurrentDate() {
        const date = new Date();
        const d = date.toISOString();
        return d;
    }

    random(_, res) {
        const params = {};
        params.randomValue = Math.floor(Math.random()*101);
        res.status(200).json(params);
    }

    home(req, res) {
        const params = {};
        if(Object.keys(req.query).length !== 0) {
            for (const param of Object.keys(req.query)) {
                params[param] = req.query[param];
            }
        }
        params.date = this.getCurrentDate();
        res.status(200).json(params);
    }



}

// export controller object. Could be defined as a singleton.
module.exports = new jsonController();
