const path = require('path');

const Tasks = require('../models/tasks.model').model;

const allTasks = async (req, res) => {
    const allTasks = await Tasks.find().then(allTasks => 
        res.status(200).json(allTasks));
}

const newTask = async (req, res) => {
    const newTaskData = {...req.body};
    try {
        const newTask = await Tasks.create(newTaskData);
        res.status(200).json(newTask);    
    } catch(error) {
        res.status(400).json(error);
    }
}


const deleteTask = async (req, res) => {
    try {
        await Tasks.findByIdAndDelete(req.params.taskId);
        console.log(`--> book ${req.params.bookId} deleted`);
        res.status(200).json(null);    
    } catch(error) {
        throw error;
    }
}

module.exports.allTasks = allTasks;
module.exports.newTask = newTask;
module.exports.deleteTask = deleteTask;