const mongoose = require('mongoose');

const showsModel = new mongoose.Schema({
    description : { type : String, unique :true, required : true},
    places : {
        required : true,
        type : Number,
        min : 1,
    }
  });

const dbConnection = require('../controllers/db.controller');  // importation de l'objet qui gère la connexion
const Shows = dbConnection.model('Shows', showsModel, 'shows');


module.exports = showsModel;
module.exports.model = Shows;