console.log('le bundle-bidder a été généré');

const socket = io();

const ident = document.getElementById("ident-bid");
const description = document.getElementsByClassName("description");
const prix = document.getElementsByClassName("prix");

let prixActuel = 0;

function setupListeners() {
    socket.on("infos", (name, value) => {
        ident.textContent = `Une nouvelle enchère commence`;
        enchereBegin(name, value);
        displayButton("block");
    });

    socket.on("changePrix", (nouveauPrix, selectedPrix) => {
        ident.textContent = `Nouvelle enchère de +${selectedPrix}€`;
        changePrix(nouveauPrix);
    });
    
    socket.on("enchere", (selectedPrix) => ident.textContent = `Vous avez fait une enchère de +${selectedPrix}€`);
    socket.on("deconnexion", () => deconnexionAuctiooneer());
    socket.on("winner", () => {win()});
    socket.on("enchere", (prix) => ident.textContent = `Vous avez fait une enchère de +${prix}€`);
    socket.on("adjuge", () => finishEnchere());

}
window.addEventListener("DOMContentLoaded", setupListeners);

displayButton("none");
const buttons = document.querySelectorAll("button");
for(const button of buttons) {
    button.addEventListener("click", selectPrice);
}

function displayButton(display) {
    const divButtons = document.getElementById("buttons");
    divButtons.style.display = display;
}

function changePrix(nouveauPrix) {
    prix[0].textContent = nouveauPrix+"€";
    prixActuel = nouveauPrix;
}

function enchereBegin(name, value) {
    description[0].textContent = name;
    prix[0].textContent = value+"€";
    prixActuel = parseInt(prix[0].textContent);
}

function selectPrice(event) {
    const selectedPrix = parseInt(event.target.textContent);
    prixActuel += selectedPrix;
    socket.emit("encherisseur");
    socket.emit("prixActuel", prixActuel, selectedPrix);
}

function finishEnchere() {
    ident.textContent = `Enchères terminé,  l'enchère a été remporté par une autre personne`;
    displayButton("none");
}

function win() {
    ident.textContent = `Enchères terminé, vous avez remporté l'enchère`;
    displayButton("none");
}

function deconnexionAuctiooneer() {
    ident.textContent = "le comissaire priseur s'est déconnecté, fin de l'nchère";
    prix[0].textContent = "-€";
    description[0].textContent = "";
    displayButton("none");
}



