const mongoose = require('mongoose');

const tasksModel = new mongoose.Schema({
    description : { type : String, unique :true, required : true},
    urgency : {
        type : Number,
        min : 1,
        max : 5,
        default : 3,
        set : v => {
            if (v < 1) {1};
            if(v > 5) {5};
        }
    }
  });

const dbConnection = require('../controllers/db.controller');  // importation de l'objet qui gère la connexion
const Tasks = dbConnection.model('Task', tasksModel, 'tasks');


module.exports = tasksModel;
module.exports.model = Tasks;