var express = require('express');
var router = express.Router();

// import controller for index
const taskController = require('../controllers/task.controller');

/* GET home page. */
router.get('/', taskController.allTasks);
router.post('/', taskController.newTask);
router.delete('/:taskId', taskController.deleteTask);

module.exports = router;
